Bug 13566 - user password not accepted on ftp login
Summary: user password not accepted on ftp login
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ftp   
(Show other bugs)
Version: 6.2
Hardware: i586 Linux
low
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-07 12:24 UTC by scheck
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-17 12:46:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description scheck 2000-07-07 12:24:24 UTC
Change a users password with passwd to: "-_qwert".
Try a "ftp localhost" and login with the new password.
With every password beginning with a "-_" I tried I wasn't 
able to login. (the same in kfm: ftp://user@localhost)
Passwords beginning with "_-" are ok.

Strange! Is this a bug or a feature?

Comment 1 Seth Vidal 2000-07-14 05:09:13 UTC
Its common for ftp servers to have this message:
Begin your password entry with a - (dash) to suppress the helpful messages.

That is so it turns off the dumb misc messages.

Try putting two dashes.
see if it works that way.
alternatively ask your users not to have password starting with dash
finally - this doesn't occur on proftpd.



Comment 2 scheck 2000-07-17 12:46:02 UTC
So it's a feature. 
An additional dash works fine. 
Thank you.

Before this bug report I searched the man pages and the web, but I didn't found 
any hint to this feature.

I'd propose 
STATUS     = RESOLVED
RESOLUTION = NOTABUG 



Comment 3 Henri Schlereth 2000-08-02 02:13:03 UTC
Per customers request changed status of bug report.

Henri
RHBT


Note You need to log in before you can comment on or make changes to this bug.